# ParlorContext (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.util
Interface ParlorContext

All Superinterfaces:
  com.threerings.crowd.util.CrowdContext, com.threerings.presents.util.PresentsContext

All Known Subinterfaces:
  MiCasaContext, PuzzleContext, SimulatorContext

    public interface ParlorContext

extends com.threerings.crowd.util.CrowdContext

The parlor context provides access to the various managers, etc. that are needed by the parlor client code.

Method Summary
`ParlorDirector` `getParlorDirector()` Returns a reference to the parlor director.

Methods inherited from interface com.threerings.crowd.util.CrowdContext
`clearPlaceView, getChatDirector, getLocationDirector, getMessageManager, getOccupantDirector, setPlaceView`

Methods inherited from interface com.threerings.presents.util.PresentsContext
`getClient, getConfig, getDObjectManager`

Method Detail

### getParlorDirector

    ParlorDirector getParlorDirector()

  Returns a reference to the parlor director.

Copyright © 2011. All Rights Reserved.